Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCGMWriter Class Reference

`#include <vtkCGMWriter.h>`

Inheritance diagram for vtkCGMWriter:

[legend]
Collaboration diagram for vtkCGMWriter:

[legend]
List of all members.

## Detailed Description

write polygonal data as a CGM file

Date:
  2002/05/31 22:01:38

Revision:
  1.10

vtkCGMWriter writes CGM (Computer Graphics Metafile) output. CGM is a 2D graphics vector format typically used by large plotters. This writer can handle vertices, lines, polygons, and triangle strips in any combination. Colors are specified either 1) from cell scalars (assumed to be RGB or RGBA color specification), 2) from a specified color; or 3) randomly assigned colors.

Note: During output of the polygonal data, stringle strips are converted to triangles, and polylines to lines. Also, due to limitations in the CGM color model, only 256 colors are available to the color palette.

Warning:
  The class vtkImageToPolyDataFilter is convenient for converting a raster image into polygons (and color map) suitable for plotting with CGM.

See also:
  vtkPolyDataWriter vtkPointDataToCellData

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (98%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkCGMWriter.h)`
  - .`cxx` (`/IO/vtkCGMWriter.cxx)`

Definition at line 62 of file vtkCGMWriter.h.

## Public Types
typedef vtkPolyDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetViewport (vtkViewport *)
virtual vtkViewport * | GetViewport ()
virtual void | SetSort (int)
virtual int | GetSort ()
virtual void | SetResolution (int)
virtual int | GetResolution ()
virtual void | SetColorMode (int)
virtual int | GetColorMode ()
void | SetColorModeToDefault ()
void | SetColorModeToSpecifiedColor ()
void | SetColorModeToRandomColors ()
virtual void | SetSpecifiedColor (float, float, float)
virtual void | SetSpecifiedColor (float[3])
virtual float * | GetSpecifiedColor ()
virtual void | GetSpecifiedColor (float data[3])
## Static Public Methods
vtkCGMWriter * | New ()
int | IsTypeOf (const char *type)
vtkCGMWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCGMWriter ()
| ~vtkCGMWriter ()
void | WriteData ()
## Protected Attributes
vtkViewport * | Viewport
int | ColorMode
float | SpecifiedColor [3]
int | Resolution
int | Sort

## Member Typedef Documentation

typedef vtkPolyDataWriter vtkCGMWriter::Superclass

| Reimplemented from vtkPolyDataWriter. Definition at line 69 of file vtkCGMWriter.h.

## Constructor & Destructor Documentation

vtkCGMWriter::vtkCGMWriter | ( |  | ) | `[protected]`

vtkCGMWriter::~vtkCGMWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkCGMWriter* vtkCGMWriter::New | ( |  | ) | `[inline, static]`

| Instantiate with no viewport defined and sorting on. The default resolution is 10,000, and the color mode is set to default. Reimplemented from vtkPolyDataWriter. Definition at line 67 of file vtkCGMWriter.h.

virtual const char* vtkCGMWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataWriter.

int vtkCGMWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataWriter.

virtual int vtkCGMWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataWriter.

vtkCGMWriter* vtkCGMWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataWriter.

void vtkCGMWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataWriter.

virtual void vtkCGMWriter::SetViewport | ( | vtkViewport * |  | ) | `[virtual]`

| Specify a vtkViewport object to be used to transform the vtkPolyData points into 2D coordinates. By default (no vtkViewport specified), the point coordinates are generated by ignoring the z values. If a viewport is defined, then the points are transformed into viewport coordinates.

virtual vtkViewport* vtkCGMWriter::GetViewport | ( |  | ) | `[virtual]`

| Specify a vtkViewport object to be used to transform the vtkPolyData points into 2D coordinates. By default (no vtkViewport specified), the point coordinates are generated by ignoring the z values. If a viewport is defined, then the points are transformed into viewport coordinates.

virtual void vtkCGMWriter::SetSort | ( | int |  | ) | `[virtual]`

| Turn on/off the sorting of the cells via depth. If enabled, polygonal cells will be sorted from back to front, i.e., a Painter's algorithm sort.

virtual int vtkCGMWriter::GetSort | ( |  | ) | `[virtual]`

| Turn on/off the sorting of the cells via depth. If enabled, polygonal cells will be sorted from back to front, i.e., a Painter's algorithm sort.

virtual void vtkCGMWriter::SetResolution | ( | int |  | ) | `[virtual]`

| Specify the resolution of the CGM file. This number is used to integerize the maximum coordinate range of the plot file.

virtual int vtkCGMWriter::GetResolution | ( |  | ) | `[virtual]`

| Specify the resolution of the CGM file. This number is used to integerize the maximum coordinate range of the plot file.

virtual void vtkCGMWriter::SetColorMode | ( | int |  | ) | `[virtual]`

| Control how output polydata is colored. By default (ColorModeToDefault), if per cell colors are defined (unsigned chars of 1-4 components), then the cells are colored with these values. (If point colors are defined and cell colors are not, you can use vtkPointDataToCellData to convert the point colors to cell colors.) Otherwise, by default, the cells are set to the specified color. If ColorModeToSpecifiedColor is set, then the primitives will all be set to this color. If ColorModeToRandomColors is set, each cell will be randomly assigned a color.

virtual int vtkCGMWriter::GetColorMode | ( |  | ) | `[virtual]`

| Control how output polydata is colored. By default (ColorModeToDefault), if per cell colors are defined (unsigned chars of 1-4 components), then the cells are colored with these values. (If point colors are defined and cell colors are not, you can use vtkPointDataToCellData to convert the point colors to cell colors.) Otherwise, by default, the cells are set to the specified color. If ColorModeToSpecifiedColor is set, then the primitives will all be set to this color. If ColorModeToRandomColors is set, each cell will be randomly assigned a color.

void vtkCGMWriter::SetColorModeToDefault | ( |  | ) | `[inline]`

| Control how output polydata is colored. By default (ColorModeToDefault), if per cell colors are defined (unsigned chars of 1-4 components), then the cells are colored with these values. (If point colors are defined and cell colors are not, you can use vtkPointDataToCellData to convert the point colors to cell colors.) Otherwise, by default, the cells are set to the specified color. If ColorModeToSpecifiedColor is set, then the primitives will all be set to this color. If ColorModeToRandomColors is set, each cell will be randomly assigned a color. Definition at line 109 of file vtkCGMWriter.h. References VTK_COLOR_MODE_DEFAULT.

void vtkCGMWriter::SetColorModeToSpecifiedColor | ( |  | ) | `[inline]`

| Control how output polydata is colored. By default (ColorModeToDefault), if per cell colors are defined (unsigned chars of 1-4 components), then the cells are colored with these values. (If point colors are defined and cell colors are not, you can use vtkPointDataToCellData to convert the point colors to cell colors.) Otherwise, by default, the cells are set to the specified color. If ColorModeToSpecifiedColor is set, then the primitives will all be set to this color. If ColorModeToRandomColors is set, each cell will be randomly assigned a color. Definition at line 111 of file vtkCGMWriter.h. References VTK_COLOR_MODE_SPECIFIED_COLOR.

void vtkCGMWriter::SetColorModeToRandomColors | ( |  | ) | `[inline]`

| Control how output polydata is colored. By default (ColorModeToDefault), if per cell colors are defined (unsigned chars of 1-4 components), then the cells are colored with these values. (If point colors are defined and cell colors are not, you can use vtkPointDataToCellData to convert the point colors to cell colors.) Otherwise, by default, the cells are set to the specified color. If ColorModeToSpecifiedColor is set, then the primitives will all be set to this color. If ColorModeToRandomColors is set, each cell will be randomly assigned a color. Definition at line 113 of file vtkCGMWriter.h. References VTK_COLOR_MODE_RANDOM_COLORS.

virtual void vtkCGMWriter::SetSpecifiedColor | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the specified color to color the polydata cells. This color is only used when the color mode is set to ColorModeToSpecifiedColor, or ColorModeToDefault is set and no cell colors are specified. The specified color is specified as RGB values ranging from (0,1). (Note: CGM will map this color to the closest color it supports.)

virtual void vtkCGMWriter::SetSpecifiedColor | ( | float | [3] | ) | `[virtual]`

| Set/Get the specified color to color the polydata cells. This color is only used when the color mode is set to ColorModeToSpecifiedColor, or ColorModeToDefault is set and no cell colors are specified. The specified color is specified as RGB values ranging from (0,1). (Note: CGM will map this color to the closest color it supports.)

virtual float* vtkCGMWriter::GetSpecifiedColor | ( |  | ) | `[virtual]`

| Set/Get the specified color to color the polydata cells. This color is only used when the color mode is set to ColorModeToSpecifiedColor, or ColorModeToDefault is set and no cell colors are specified. The specified color is specified as RGB values ranging from (0,1). (Note: CGM will map this color to the closest color it supports.)

virtual void vtkCGMWriter::GetSpecifiedColor | ( | float | data[3] | ) | `[virtual]`

| Set/Get the specified color to color the polydata cells. This color is only used when the color mode is set to ColorModeToSpecifiedColor, or ColorModeToDefault is set and no cell colors are specified. The specified color is specified as RGB values ranging from (0,1). (Note: CGM will map this color to the closest color it supports.)

void vtkCGMWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkPolyDataWriter.

## Member Data Documentation

vtkViewport* vtkCGMWriter::Viewport`[protected]`

| Definition at line 132 of file vtkCGMWriter.h.

int vtkCGMWriter::ColorMode`[protected]`

| Definition at line 133 of file vtkCGMWriter.h.

float vtkCGMWriter::SpecifiedColor[3]`[protected]`

| Definition at line 134 of file vtkCGMWriter.h.

int vtkCGMWriter::Resolution`[protected]`

| Definition at line 135 of file vtkCGMWriter.h.

int vtkCGMWriter::Sort`[protected]`

| Definition at line 136 of file vtkCGMWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkCGMWriter.h